package department_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type DepartmentCreateRequest struct {
	// <ext>core:true</ext> 【组织名称】组织名称
	OrgName string `json:"orgName"`
	// <ext>core:true</ext> 【第三方业务系统组织id】第三方业务系统组织id
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【组织编码】组织编码
	OrgCode            string                    `json:"orgCode,omitempty"`
	UserInfoRequest    *common.UserInfoRequest   `json:"userInfoRequest,omitempty"`
	SuperiorDepartment *common.DepartmentRequest `json:"superiorDepartment,omitempty"`
	// <ext>core:true</ext> 【组织自定义字段】组织自定义字段
	DepartmentCustomField []*common.DepartmentCustomField `json:"departmentCustomField,omitempty"`
}

func (obj DepartmentCreateRequest) GetUrl() string {
	return "/department/create"
}

func (obj DepartmentCreateRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
